Create catalog selection
post
/catalogs/{catalog_name}/selections
Use this endpoint to create a selection in your catalog.
Troubleshooting
The following table lists possible returned errors and their associated troubleshooting steps.
| Error | Troubleshooting |
|---|---|
catalog-not-found |
Check that the catalog name is valid. |
company-size-limit-already-reached |
The catalog storage size limit is reached. |
selections-limit-reached |
The catalog selections limit is reached. |
invalid-selection |
Check that the selection is valid. |
too-many-filters |
Check if the selection has too many filters. |
selection-name-already-exists |
Check if the selection name already exists in the catalog. |
selection-has-invalid-filter |
Check if the selection filter is valid. |
selection-invalid-results-limit |
Check if the selection results limit is valid. |
invalid-sorting |
Check if the selection sorting is valid. |
invalid-sort-field |
Check if the selection sort field is valid. |
invalid-sort-order |
Check if the selection sort order is valid. |
selection-contains-too-many-arrays |
Check if the selection contains more than one field with array type. Only one is supported. |
You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.
New Stuff!